import { cva } from 'class-variance-authority'

import { twJoin } from '@/utils'

export const labelStyles = twJoin({
	display: 'flex items-center justify-between'
})

// /////////////////////////

export const labelBodyStyles = twJoin({
	display: 'flex w-full items-center gap-x-4'
})

// /////////////////////////

export const labelIconStyles = cva(
	twJoin({
		display: 'flex size-12 items-center justify-center',
		visual: 'rounded-lg',
		childs: '[&_svg]:size-7'
	}),
	{
		variants: {
			type: {
				source: 'bg-green/15 text-green',
				file: 'bg-info/15 text-info'
			}
		},
		defaultVariants: {
			type: 'source'
		}
	}
)

// /////////////////////////

export const labelTextStyles = twJoin({
	display: 'flex flex-col',
	text: 'whitespace-nowrap'
})
